Bug 146221 - xmms srpm doesn't build
xmms srpm doesn't build
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
Depends On:
  Show dependency treegraph
Reported: 2005-01-25 20:47 EST by Thomas Walker
Modified: 2013-03-13 00:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-27 19:03:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Walker 2005-01-25 20:47:48 EST
Description of problem:
xmms-1.2.10-9.src.rpm fails to build on x86_64 (I've been noticing
this trend increasingly lately - Redhat SRPMS that, theoretically
should build on x86_64 because you supply rpms of them, don't)
This particular one bails with:

if gcc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I/usr/include/gtk-1.2
-I/usr/include/glib-1.2 -I/usr/lib64/glib/include -D_REENTRANT
-I/usr/X11R6/include -O2 -g -pipe -m64 -Wall -Wpointer-arith
-finline-functions -ffast-math -funroll-all-loops
-DDATA_DIR=\"/usr/share/xmms\" -DPLUGIN_DIR=\"/usr/lib64/xmms\"
-DLOCALEDIR=\"/usr/share/locale\" -I../intl -I..    -O2 -g -pipe -m64
-Wall -Wpointer-arith -finline-functions -ffast-math
-funroll-all-loops -MT sm.o -MD -MP -MF ".deps/sm.Tpo" \
  -c -o sm.o `test -f 'sm.c' || echo './'`sm.c; \
then mv -f ".deps/sm.Tpo" ".deps/sm.Po"; \
else rm -f ".deps/sm.Tpo"; exit 1; \
sm.c:151: error: conflicting types for 'sm_init'
sm.h:24: error: previous declaration of 'sm_init' was here
sm.c:151: error: conflicting types for 'sm_init'
sm.h:24: error: previous declaration of 'sm_init' was here
make[4]: *** [sm.o] Error 1
make[4]: Leaving directory `/usr/src/redhat/BUILD/xmms-1.2.10/xmms'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/usr/src/redhat/BUILD/xmms-1.2.10/xmms'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/usr/src/redhat/BUILD/xmms-1.2.10/xmms'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/xmms-1.2.10'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.84764 (%build)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.84764 (%build)

Same error that the stock tarball fails with.  Why does it appear as
though RH is not making available the SRPMS that they themselves build
with?  Only other cause I can think of is that you use different build
options on your build servers but that one doesn't look likely in this
case (i.e. its not a lib/lib64 issue like most I've seen)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpmbuild -bb SPECS/xmms.spec
Actual results:
fails (see above)

Expected results:

Additional info:
Comment 1 Thomas Walker 2005-03-27 19:03:30 EST
Filed 3 months ago, no response. forget it.

Note You need to log in before you can comment on or make changes to this bug.